package po

import (
	"fmt"
	"plugins/union_pay_redpack/internal/vo"
)

type OrderReq struct {
	ChNlId         string `validate:"required" json:"chnlId"` // 渠道方代码-必填
	AccessId       string `validate:"required" json:"accessId"`
	TransDtTm      string `validate:"required" json:"transDtTm"`
	InsAcctTp      string `validate:"required" json:"insAcctTp"`
	InsAcctId      string `validate:"required" json:"insAcctId"`
	AcctEntityTp   string `validate:"required" json:"acctEntityTp"`
	Mobile         string `validate:"required" json:"mobile"`
	PointTp        string `validate:"required" json:"pointTp"`
	PointId        string `validate:"required" json:"pointId"`
	PointAt        string `validate:"required" json:"pointAt"`
	DelayIn        string `validate:"required" json:"delayIn"`
	TempIn         string `validate:"required" json:"tempIn"`
	InOutTransFlag string `validate:"required" json:"inOutTransFlag"`
	TransDigest    string `validate:"required" json:"transDigest"`
}

type OrderResp struct {
	Code    vo.Code    `json:"code"`
	Msg     string     `json:"msg"`
	SubCode vo.SubCode `json:"subCode"`
	SubMsg  string     `json:"subMsg"`

	TransSeq string `json:"transSeq"`
}

func (o *OrderResp) GetMsg() string {
	return fmt.Sprintf("Msg:[%s],SubMsg:[%s],自定处理msg:[%s]", o.Msg, o.SubMsg, o.SubCode.GetMsg())
}
