package po

import (
	"encoding/json"
	"fmt"
	"github.com/go-playground/validator/v10"
)

type Req interface {
	Validate() error
	ToJson() []byte
}

var _ Req = (*OrderReq)(nil)
var _ Req = (*QueryReq)(nil)

func (req *OrderReq) Validate() error {
	err := validator.New().Struct(req)
	if err != nil {
		for _, err = range err.(validator.ValidationErrors) {
			return fmt.Errorf("参数有误：" + err.Error())
		}
	}
	return nil
}

func (req *OrderReq) ToJson() []byte {
	b, _ := json.Marshal(req)
	return b
}

func (req *QueryReq) Validate() error {
	err := validator.New().Struct(req)
	if err != nil {
		for _, err = range err.(validator.ValidationErrors) {
			return fmt.Errorf("参数有误：" + err.Error())
		}
	}
	return nil
}

func (req *QueryReq) ToJson() []byte {
	b, _ := json.Marshal(req)
	return b
}
