package po

import (
	"fmt"
	"plugins/union_pay_redpack/internal/vo"
)

type QueryReq struct {
	ChNlId        string `validate:"required" json:"chnlId"` // 渠道方代码-必填
	TransSeq      string `validate:"required" json:"transSeq"`
	TransDtTm     string `validate:"required" json:"transDtTm"`
	OrigTransSeq  string `validate:"required" json:"origTransSeq"`
	OrigTransDtTm string `validate:"required" json:"origTransDtTm"`
	AcctEntityTp  string `validate:"required" json:"acctEntityTp"`
	Mobile        string `validate:"required" json:"mobile"`
}

type QueryResp struct {
	Code    vo.Code    `json:"code"`
	Msg     string     `json:"msg"`
	SubCode vo.SubCode `json:"subCode"`
	SubMsg  string     `json:"subMsg"`

	TransSeq  string       `json:"transSeq"`
	AcquireSt vo.AcquireSt `json:"acquireSt"`
}

func (o *QueryResp) GetMsg() string {
	return fmt.Sprintf("Msg:[%s],SubMsg:[%s],自定处理msg:[%s]", o.Msg, o.SubMsg, o.SubCode.GetMsg())
}
